Package be.ehealth.businessconnector.therlink.exception

# Class TherLinkBusinessConnectorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
be.ehealth.technicalconnector.exception.ConnectorException
be.ehealth.businessconnector.therlink.exception.TherLinkBusinessConnectorException

All Implemented Interfaces:
  `Serializable`

public class TherLinkBusinessConnectorException extends ConnectorException
Exception class for Therapeutic links Connector

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TherLinkBusinessConnectorException(TherLinkBusinessConnectorExceptionValues errorCodeValue, Object... params)`
  Creates a new IntrahubBusinessConnectorException
  `TherLinkBusinessConnectorException(TherLinkBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)`
  Creates a new IntraHubBusinessConnectorExceptionValues

- ## Method Summary

  ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TherLinkBusinessConnectorException

    public TherLinkBusinessConnectorException(TherLinkBusinessConnectorExceptionValues errorCodeValue, Object... params)
    Creates a new IntrahubBusinessConnectorException
    Parameters:
      `errorCodeValue` - the IntraHubBusinessConnectorExceptionValues
      `params` - the strings to complete the errorCodeValue message

  - ### TherLinkBusinessConnectorException

    public TherLinkBusinessConnectorException(TherLinkBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)
    Creates a new IntraHubBusinessConnectorExceptionValues
    Parameters:
      `errorCodeValue` - the IntraHubBusinessConnectorExceptionValues
      `e` - the initial error
      `params` - the strings to complete the errorCodeValue message